VRPlatformVRPlatform
Reports

/reports/manager-statements

Manager statement summaries grouped by month

GET
/reports/manager-statements
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

year*integer

Year in format YYYY

Range1900 <= value <= 2100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/reports/manager-statements?year=1900"
{
  "data": [
    {
      "currency": "string",
      "startAt": "string",
      "endAt": "string",
      "total": 0,
      "financials": {
        "balanceStart": 0,
        "balanceEnd": 0,
        "netRevenue": 0,
        "expenses": 0,
        "netIncome": 0,
        "adjustments": 0,
        "transfers": 0,
        "assetsAndLiabilities": 0,
        "availableBalance": 0
      },
      "summary": [
        {
          "name": "string",
          "text": "string",
          "value": 0,
          "separated": true
        }
      ]
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}